## linkchecker 7.0

=== Makefile ===
--- 
+++ 
@@ -15,11 +15,16 @@
 BUILDDIR:=$(HOME)/packages/official
 DEB_ORIG_TARGET:=$(BUILDDIR)/linkchecker_$(VERSION).orig.tar.bz2
 # original dnspython repository module
-DNSPYTHON:=$(HOME)/src/dnspython-git/dns
+DNSPYTHON:=$(HOME)/src/dnspython-git
 # options to run the pep8 utility
 PEP8OPTS:=--repeat --ignore=E211,E501,E225,E301,E302,E241 \
-   --exclude="dns,gzip2.py,httplib2.py,robotparser2.py,reindent.py"
+   --exclude="gzip2.py,httplib2.py,robotparser2.py,reindent.py"
 PY2APPOPTS ?=
+ifeq ($(shell uname),Darwin)
+  NUMPROCESSORS:=$(shell sysctl -a | grep machdep.cpu.core_count | cut -d " " -f 2)
+else
+  NUMPROCESSORS:=$(shell grep -c processor /proc/cpuinfo)
+endif
 
 
 .PHONY: all
@@ -139,7 +144,6 @@
 	  linkcheck/gui/help.py \
 	  linkcheck/gui/logger.py \
 	  linkcheck/gui/options.py \
-	  linkcheck/gui/progress.py \
 	  linkcheck/gui/properties.py \
 	  linkcheck/gui/settings.py \
 	  linkcheck/gui/statistics.py \
@@ -199,7 +203,8 @@
 
 .PHONY: test
 test:	localbuild
-	$(PYTHON) $(shell which nosetests) -v -m "^test_.*" $(TESTOPTS) $(TESTS)
+	$(PYTHON) $(shell which nosetests) --processes=$(NUMPROCESSORS) \
+	  -v -m "^test_.*" $(TESTOPTS) $(TESTS)
 
 .PHONY: pyflakes
 pyflakes:
@@ -224,13 +229,16 @@
 	  diff -u linkcheck/$${f}2.py $(PYTHONSRC)/$${f}.py | $(PAGER); \
 	done
 
+# Compare dnspython files with the ones from upstream repository
 .PHONY: dnsdiff
 dnsdiff:
-	diff -BurN --exclude=changelog.txt linkcheck/dns $(DNSPYTHON) | $(PAGER)
+	@(for d in dns tests; do \
+	  diff -BurN --exclude=*.pyc third_party/dnspython/$$d $(DNSPYTHON)/$$d; \
+	done) | $(PAGER)
 
 .PHONY: changelog
 changelog:
-	sftrack_changelog linkchecker calvin@users.sourceforge.net doc/changelog.txt
+	sftrack_changelog linkchecker calvin@users.sourceforge.net doc/changelog.txt $(DRYRUN)
 
 .PHONY: gui
 gui:
@@ -239,3 +247,8 @@
 .PHONY: count
 count:
 	@sloccount linkchecker linkchecker-gui linkcheck | grep "Total Physical Source Lines of Code"
+
+# run eclipse ide
+.PHONY: ide
+ide:
+	eclipse-3.6 -data $(CURDIR)/..
