## linkchecker 7.1

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 TESTOPTS=
 PAGER ?= less
 # build dir for debian package
-BUILDDIR:=$(HOME)/packages/official
+BUILDDIR:=$(HOME)/projects/debian/official
 DEB_ORIG_TARGET:=$(BUILDDIR)/linkchecker_$(VERSION).orig.tar.bz2
 # original dnspython repository module
 DNSPYTHON:=$(HOME)/src/dnspython-git
@@ -88,6 +88,7 @@
 release: distclean releasecheck dist-stamp sign_distfiles upload
 	git tag v$(VERSION)
 	@echo "Updating LinkChecker Homepage..."
+	$(MAKE) -C doc man
 	sed -i -e "s/version = '.*'/version = '$(VERSION)'/" ~/public_html/linkchecker.sf.net/source/conf.py
 	$(MAKE) -C ~/public_html/linkchecker.sf.net update upload
 	@echo "Register at Python Package Index..."
