## linkchecker 7.2

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 DNSPYTHON:=$(HOME)/src/dnspython-git
 # options to run the pep8 utility
 PEP8OPTS:=--repeat --ignore=E211,E501,E225,E301,E302,E241 \
-   --exclude="gzip2.py,httplib2.py,robotparser2.py,reindent.py"
+   --exclude="gzip2.py,httplib2.py,robotparser2.py"
 PY2APPOPTS ?=
 ifeq ($(shell uname),Darwin)
   NUMPROCESSORS:=$(shell sysctl -a | grep machdep.cpu.core_count | cut -d " " -f 2)
@@ -93,7 +93,6 @@
 	$(MAKE) -C ~/public_html/linkchecker.sf.net update upload
 	@echo "Register at Python Package Index..."
 	$(PYTHON) setup.py register
-	wget -O - http://pypants.org/projects/linkchecker/update/ > /dev/null
 	freshmeat-submit < linkchecker.freshmeat
 
 .PHONY: chmod
@@ -218,10 +217,6 @@
 pep8:
 	pep8 $(PEP8OPTS) $(PY_FILES_DIRS)
 
-.PHONY: reindent
-reindent:
-	$(PYTHON) config/reindent.py -r -v linkcheck
-
 # Compare custom Python files with the original ones from subversion.
 .PHONY: diff
 diff:
