=== debian/changelog ===
linkchecker (7.2-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 20 Oct 2011 10:17:49 +0200

linkchecker (7.1-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 28 May 2011 12:45:43 +0200

linkchecker (7.0-1) unstable; urgency=low

  * New upstream release.
  * Added conflict to python-dnspython since linkchecker installs
    a patched version of that module.

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 07 May 2011 14:01:23 +0200
