=== debian/control ===
Source: linkchecker
Section: web
Priority: optional
Maintainer: Bastian Kleineidam <calvin@debian.org>
Build-Depends: debhelper (>= 7.0.50),
               gettext,
               hardening-wrapper,
               python-all-dev (>= 2.6.6-3),
               qt4-dev-tools
X-Python-Version: >= 2.6
Standards-Version: 3.9.2
Homepage: http://linkchecker.sourceforge.net/
Vcs-Git: git://linkchecker.git.sourceforge.net/gitroot/linkchecker/linkchecker
Vcs-Browser: http://linkchecker.git.sourceforge.net/

Package: linkchecker
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}
Conflicts: python-dnspython
Suggests: apache2 | httpd,
          clamav-daemon,
          linkchecker-gui,
          python-cssutils,
          python-gconf,
          python-geoip (>= 1.2.1-2),
          python-optcomplete (>= 1.2-5),
          python-pysqlite2,
          python-twill,
          python-utidylib
Description: check websites and HTML documents for broken links
 Provides a command line program and web interface to check links
 of websites and HTML documents.
 Features:
  o recursive checking
  o multithreaded
  o output in colored or normal text, HTML, SQL, CSV, XML or a sitemap
    graph in different formats
  o HTTP/1.1, HTTPS, FTP, mailto:, news:, nntp:, Telnet and local file
    links support
  o restrict link checking with regular expression filters for URLs
  o proxy support
  o username/password authorization for HTTP, FTP and Telnet
  o robots.txt exclusion protocol support
  o Cookie support
  o i18n support
  o HTML and CSS syntax check
  o Antivirus check
 Users preferring a graphical interface can install the linkchecker-gui
 package.

Package: linkchecker-gui
Architecture: all
Depends: libqt4-sql-sqlite,
         linkchecker,
         python-qt4 (>= 4.5),
         ${misc:Depends},
         ${python:Depends}
Recommends: python-qscintilla2
Description: check websites and HTML documents for broken links (GUI client)
 Provides a graphical interface "linkchecker-gui" to check links of websites
 and HTML documents.
 Features:
  o recursive checking
  o multithreaded
  o HTTP/1.1, HTTPS, FTP, mailto:, news:, nntp:, Telnet and local file
    links support
  o proxy support
  o username/password authorization for HTTP, FTP and Telnet
  o robots.txt exclusion protocol support
  o i18n support
