## linkchecker 7.4

=== Makefile ===
--- 
+++ 
@@ -21,11 +21,14 @@
    --exclude="gzip2.py,httplib2.py,robotparser2.py"
 PY2APPOPTS ?=
 ifeq ($(shell uname),Darwin)
+  NOSETESTS:=/usr/local/share/python/nosetests
   NUMPROCESSORS:=$(shell sysctl -a | grep machdep.cpu.core_count | cut -d " " -f 2)
+  CHMODMINUSMINUS:=
 else
+  NOSETESTS:=$(shell which nosetests)
   NUMPROCESSORS:=$(shell grep -c processor /proc/cpuinfo)
+  CHMODMINUSMINUS:=--
 endif
-
 
 .PHONY: all
 all:
@@ -93,11 +96,11 @@
 	$(MAKE) -C ~/public_html/linkchecker.sf.net update upload
 	@echo "Register at Python Package Index..."
 	$(PYTHON) setup.py register
-	freshmeat-submit < linkchecker.freshmeat
+	freecode-submit < linkchecker.freecode
 
 .PHONY: chmod
 chmod:
-	-chmod -R a+rX,u+w,go-w -- *
+	-chmod -R a+rX,u+w,go-w $(CHMODMINUSMINUS) *
 	find . -type d -exec chmod 755 {} \;
 
 .PHONY: dist
@@ -175,6 +178,8 @@
 	  linkcheck/updater.py \
 	  linkcheck/url.py \
 	  linkcheck/winutil.py \
+	  linkchecker \
+	  linkchecker-gui \
 	  *.py
 
 filescheck:
@@ -190,8 +195,8 @@
 	@if egrep -i "xx\.|xxxx|\.xx" doc/changelog.txt > /dev/null; then \
 	  echo "Could not release: edit doc/changelog.txt release date"; false; \
 	fi
-	@if ! grep "Version: $(VERSION)" linkchecker.freshmeat > /dev/null; then \
-	  echo "Could not release: edit linkchecker.freshmeat version"; false; \
+	@if ! grep "Version: $(VERSION)" linkchecker.freecode > /dev/null; then \
+	  echo "Could not release: edit linkchecker.freecode version"; false; \
 	fi
 #	$(MAKE) -C doc test
 
@@ -203,12 +208,12 @@
 
 .PHONY: test
 test:	localbuild
-	$(PYTHON) $(shell which nosetests) --processes=$(NUMPROCESSORS) \
+	$(PYTHON) $(NOSETESTS) --processes=$(NUMPROCESSORS) \
 	  -v -m "^test_.*" $(TESTOPTS) $(TESTS)
 
 .PHONY: pyflakes
 pyflakes:
-	pyflakes --force $(PY_FILES_DIRS) 2>&1 | \
+	pyflakes $(PY_FILES_DIRS) 2>&1 | \
           grep -v "redefinition of unused 'linkcheck'" | \
           grep -v "undefined name '_'" | \
 	  grep -v "undefined name '_n'" | cat
@@ -247,4 +252,4 @@
 # run eclipse ide
 .PHONY: ide
 ide:
-	eclipse-3.6 -data $(CURDIR)/..
+	eclipse -data $(CURDIR)/..
