## linkchecker 7.6

=== Makefile ===
--- 
+++ 
@@ -22,11 +22,9 @@
 PY2APPOPTS ?=
 ifeq ($(shell uname),Darwin)
   NOSETESTS:=/usr/local/share/python/nosetests
-  NUMPROCESSORS:=$(shell sysctl -a | grep machdep.cpu.core_count | cut -d " " -f 2)
   CHMODMINUSMINUS:=
 else
   NOSETESTS:=$(shell which nosetests)
-  NUMPROCESSORS:=$(shell grep -c processor /proc/cpuinfo)
   CHMODMINUSMINUS:=--
 endif
 
@@ -198,7 +196,7 @@
 	@if ! grep "Version: $(VERSION)" linkchecker.freecode > /dev/null; then \
 	  echo "Could not release: edit linkchecker.freecode version"; false; \
 	fi
-#	$(MAKE) -C doc test
+	$(PYTHON) setup.py check --restructuredtext
 
 .PHONY: sign_distfiles
 sign_distfiles:
@@ -208,8 +206,7 @@
 
 .PHONY: test
 test:	localbuild
-	$(PYTHON) $(NOSETESTS) --processes=$(NUMPROCESSORS) \
-	  -v -m "^test_.*" $(TESTOPTS) $(TESTS)
+	$(PYTHON) $(NOSETESTS) -v -m "^test_.*" $(TESTOPTS) $(TESTS)
 
 .PHONY: pyflakes
 pyflakes:
