=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: web
 Priority: optional
 Maintainer: Bastian Kleineidam <calvin@debian.org>
-Build-Depends: debhelper (>= 7.0.50),
+Build-Depends: debhelper (>= 8),
                gettext,
                hardening-wrapper,
-               python-all-dev (>= 2.6.6-3),
+               python-all-dev (>= 2.7),
                qt4-dev-tools
-X-Python-Version: >= 2.6
-Standards-Version: 3.9.2
+X-Python-Version: >= 2.7
+Standards-Version: 3.9.3
 Homepage: http://linkchecker.sourceforge.net/
 Vcs-Git: git://linkchecker.git.sourceforge.net/gitroot/linkchecker/linkchecker
 Vcs-Browser: http://linkchecker.git.sourceforge.net/
