## linkchecker 7.7

=== Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 
 .PHONY: distclean
 distclean: clean cleandeb
-	rm -rf build dist linkchecker.egg-info
+	rm -rf build dist LinkChecker.egg-info
 	rm -f _LinkChecker_configdata.py MANIFEST Packages.gz
 # clean aborted dist builds and -out files
 	rm -f linkchecker-out* linkchecker.prof
@@ -62,11 +62,11 @@
 
 .PHONY: locale
 locale:
-	$(MAKE) -C po
+	$(MAKE) -C po mofiles
 
 # to build in the current directory
 .PHONY: localbuild
-localbuild: MANIFEST
+localbuild: MANIFEST locale
 	$(MAKE) -C doc/html
 	$(MAKE) -C linkcheck/HtmlParser
 	$(PYTHON) setup.py build
@@ -176,6 +176,7 @@
 	  linkcheck/updater.py \
 	  linkcheck/url.py \
 	  linkcheck/winutil.py \
+	  cgi-bin/lc.wsgi \
 	  linkchecker \
 	  linkchecker-gui \
 	  *.py
