=== debian/changelog ===
linkchecker (7.7-2) unstable; urgency=low

  * Fix FTBFS when building only architecture dependant packages.
    Closes: #670313

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 25 Apr 2012 06:54:11 +0200

linkchecker (7.7-1) unstable; urgency=low

  * New upstream release.
  * Add new package linkchecker-web which provides the
    web interface. Do not bundle it with the command line
    client because then linkchecker would depend on web
    servers and the PyQt libraries.
  * Make linkchecker-web compatible with Apache 2.2 and 2.4.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 22 Apr 2012 20:48:03 +0200
