## linkchecker 7.8

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # This Makefile is only used by developers.
 PYVER:=2.7
-PYTHON:=python$(PYVER)
+PYTHON?=python$(PYVER)
 VERSION:=$(shell $(PYTHON) setup.py --version)
 PLATFORM:=$(shell $(PYTHON) -c "from distutils.util import get_platform; print get_platform()")
 FILESCHECK_URL:=http://localhost/~calvin/
@@ -86,7 +86,7 @@
 
 
 .PHONY: release
-release: distclean releasecheck dist-stamp sign_distfiles upload
+release: distclean releasecheck filescheck clean dist-stamp sign_distfiles upload
 	git tag v$(VERSION)
 	@echo "Updating LinkChecker Homepage..."
 	$(MAKE) -C doc man
@@ -181,7 +181,7 @@
 	  linkchecker-gui \
 	  *.py
 
-filescheck:
+filescheck: localbuild
 	for out in text html gml sql csv xml gxml dot; do \
 	  ./linkchecker -o$$out -F$$out --complete -r1 -C $(FILESCHECK_URL) || exit 1; \
 	done
