=== po/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 MSGFMT := msgfmt
 MSGMERGE := msgmerge
 POSOURCES = $(shell find ../linkcheck -name \*.py) \
-	../linkchecker ../linkchecker-gui /usr/lib/python2.6/optparse.py
+	../linkchecker ../linkchecker-gui /usr/lib/python2.7/optparse.py
 LDIR = ../share/locale
 PACKAGE = linkchecker
 TEMPLATE = $(PACKAGE).pot
