=== debian/changelog ===
linkchecker (7.9-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Brown bag NMU, preview patch was wrong
  * This will still work with either python version, by catching the
    exception if the removed lists are missing (Closes: #681069) (really)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 24 Jul 2012 00:46:43 -0400

linkchecker (7.9-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add url definition lists deleted from Python's urlparser.py to
    linkcheckers' linkcheck/url.py and refer to the local copies to fix three
    sources of crashes (the Python versions are present in 2.7.3~rc2 and
    missing from 2.7.3 final - this patched version will work with either)
    (Closes: #681069)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 23 Jul 2012 22:57:47 -0400

linkchecker (7.9-2) unstable; urgency=low

  * Fix postinstallation script of linkchecker-web. (Closes: #677163)

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 12 Jun 2012 07:33:19 +0200

linkchecker (7.9-1) unstable; urgency=low

  * New upstream release (Closes: #674996)
  * Add missing dependency on python-qt4-sql for linkchecker-gui.
  * Standards version 3.9.3.1
  * Suggest python-meliae for memory debugging.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 11 Jun 2012 07:17:23 +0200

linkchecker (7.8-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 29 Apr 2012 10:32:16 +0200
