=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python-all-dev (>= 2.7),
                qt4-dev-tools
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.3
+Standards-Version: 3.9.3.1
 Homepage: http://linkchecker.sourceforge.net/
 Vcs-Git: git://linkchecker.git.sourceforge.net/gitroot/linkchecker/linkchecker
 Vcs-Browser: http://linkchecker.git.sourceforge.net/
@@ -18,12 +18,13 @@
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Provides: ${python:Provides}
 Conflicts: python-dnspython
-Suggests: apache2 | httpd,
-          clamav-daemon,
+Suggests: clamav-daemon,
           linkchecker-gui,
+          linkchecker-web,
           python-cssutils,
           python-gconf,
           python-geoip (>= 1.2.1-2),
+          python-meliae,
           python-optcomplete (>= 1.2-5),
           python-pysqlite2,
           python-twill,
@@ -49,11 +50,32 @@
  Users preferring a graphical interface can install the linkchecker-gui
  package.
 
+Package: linkchecker-web
+Architecture: all
+Depends: linkchecker,
+         apache2 | httpd,
+         libapache2-mod-wsgi | httpd-wsgi,
+         ${misc:Depends},
+         ${python:Depends}
+Conflicts: linkchecker (<< 7.7)
+Description: check websites and HTML documents for broken links (web client)
+ Provides a web interface to check links of websites and HTML documents.
+ Features:
+  o recursive checking
+  o multithreaded
+  o HTTP/1.1, HTTPS, FTP, mailto:, news:, nntp:, Telnet and local file
+    links support
+  o proxy support
+  o username/password authorization for HTTP, FTP and Telnet
+  o robots.txt exclusion protocol support
+  o i18n support
+
 Package: linkchecker-gui
 Architecture: all
 Depends: libqt4-sql-sqlite,
          linkchecker,
          python-qt4 (>= 4.5),
+         python-qt4-sql,
          ${misc:Depends},
          ${python:Depends}
 Recommends: python-qscintilla2
