=== debian/changelog ===
linkchecker (8.1-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 14 Oct 2012 20:48:03 +0200

linkchecker (8.0-1) unstable; urgency=low

  * New upstream release.
  * Require Python >= 2.7.2
  * Upstream fixed bug #681069 (thanks for NMUing).

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 02 Sep 2012 23:47:00 +0200
