## linkchecker 8.2

=== Makefile ===
--- 
+++ 
@@ -73,8 +73,8 @@
 	$(MAKE) -C doc/html
 	$(MAKE) -C linkcheck/HtmlParser
 	$(PYTHON) setup.py build
-	cp -f build/lib.$(PLATFORM)-$(PYVER)/linkcheck/HtmlParser/htmlsax*.so linkcheck/HtmlParser
-	cp -f build/lib.$(PLATFORM)-$(PYVER)/linkcheck/network/_network*.so linkcheck/network
+	cp -f build/lib.$(PLATFORM)-$(PYVER)*/linkcheck/HtmlParser/htmlsax*.so linkcheck/HtmlParser
+	cp -f build/lib.$(PLATFORM)-$(PYVER)*/linkcheck/network/_network*.so linkcheck/network
 
 deb_orig:
 	if [ ! -e $(DEB_ORIG_TARGET) ]; then \
@@ -129,7 +129,7 @@
 # https://bugzilla.redhat.com/show_bug.cgi?id=236535
 # too uninvolved to fix it
 
-dist-stamp: changelog
+dist-stamp: changelog config/ca-certificates.crt
 	$(MAKE) dist
 	touch $@
 
@@ -151,6 +151,7 @@
 	check-pofiles -v
 	py-tabdaddy
 	py-unittest2-compat tests/
+	$(MAKE) -C doc check
 	$(MAKE) doccheck
 	$(MAKE) pyflakes
 
@@ -199,6 +200,9 @@
 	@if ! grep "Version: $(VERSION)" linkchecker.freecode > /dev/null; then \
 	  echo "Could not release: edit linkchecker.freecode version"; false; \
 	fi
+	@if grep "UNRELEASED" debian/changelog > /dev/null; then \
+	  echo "Could not release: edit debian/changelog distribution name"; false; \
+	fi
 	$(PYTHON) setup.py check --restructuredtext
 
 sign_distfiles:
@@ -247,7 +251,12 @@
 ide:
 	eclipse -data $(CURDIR)/..
 
+update-certificates:	config/ca-certificates.crt
+
+config/ca-certificates.crt:	/etc/ssl/certs/ca-certificates.crt
+	cp $< $@
+
 .PHONY: test changelog gui count pyflakes ide login upload all clean distclean
 .PHONY: pep8 cleandeb locale localbuild deb_orig diff dnsdiff sign_distfiles
 .PHONY: filescheck update-copyright releasecheck check register announce
-.PHONY: chmod dist app rpm release homepage
+.PHONY: chmod dist app rpm release homepage update-certificates
